package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 美甲师签约表
 * @TableName manicuristsign
 */
@TableName(value ="manicuristsign")
@Data
public class Manicuristsign implements Serializable {

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 美甲师ID（关联美甲师表）
     */
    private Long manicuristId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 期望工资薪资
     */
    private BigDecimal salary;

    /**
     * 签约时长
     */
    private String signTime;

    /**
     * 工龄
     */
    private String tenure;

    /**
     * 美甲师等级
     */
    private String manicuristLv;

    /**
     * 审核状态，0-待审核，1-审核通过，2-审核不通过
     */
    private Integer auditStatus;

    /**
     * 逻辑删除标志，0 表示未删除，1 表示已删除
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 记录创建时间
     */
    private Date createTime;

    /**
     * 记录更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}