package com.cj.jiaqingjiayi.model.request.order;


import com.cj.jiaqingjiayi.model.request.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 我的订单查询请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MyOrderQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
//    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户角色 0 - 普通用户 1 - 管理员 2 - 商家
     */
    private Integer userRole;

    /**
     * 抢单状态（0 - 未抢单, 1 - 已抢单）
     */
    private Integer claimStatus;

    /**
     * 支付状态（0 - 未支付, 1 - 已支付, 2 - 退款中, 3 - 已退款）
     */
    private Integer paymentStatus;

    /**
     * 服务方式（0 - 线上, 1 - 到店）
     */
    private Integer serviceMode;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    @Serial
    private static final long serialVersionUID = 1L;
}