package com.cj.jiaqingjiayi.scheduler;


import com.cj.jiaqingjiayi.model.domain.Business;
import com.cj.jiaqingjiayi.model.domain.Manicurist;
import com.cj.jiaqingjiayi.service.BusinessLevelService;
import com.cj.jiaqingjiayi.service.BusinessService;
import com.cj.jiaqingjiayi.service.ManicuristService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.List;

@Component
@Slf4j
public class UpdateBusiness {

    @Resource
    private BusinessService businessService;

    @Resource
    private ManicuristService manicuristService;

    @Resource
    private BusinessLevelService businessLevelService;

    @Scheduled(cron = "0 0 0 * * ?")
    public void updateBusinessLevels() {
        List<Business> list = businessService.list();
        for (Business business : list) {
            businessLevelService.updateBusinessLevel(business.getId());
        }
        log.info("更新时间：" + new Date());
    }

    @Scheduled(cron = "0 0 0 * * ?")
    public void updateManicuristLevels() {
        List<Manicurist> list = manicuristService.list();
        for (Manicurist manicurist : list) {
            manicuristService.updateManicuristLevel(manicurist.getId());
        }
        log.info("更新时间：" + new Date());
    }
}

