package com.cj.jiaqingjiayi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cj.jiaqingjiayi.model.domain.Appointments;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.domain.CommoditiesGroup;
import com.cj.jiaqingjiayi.model.vo.AppointmentsVO;
import com.cj.jiaqingjiayi.model.vo.GroupVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【appointments(预约表)】的数据库操作Service
* @createDate 2024-11-05 19:07:40
*/
public interface AppointmentsService extends IService<Appointments> {

    //校验
    void valid(Appointments appointments);

    //添加预约
    Long addAppointments(Appointments appointments);

    boolean removeId(Long id);

    /**
     * 获取预约视图
     */
    AppointmentsVO getAppointmentsVO(Appointments appointments);

    /**
     * 获取预约视图列表
     */
    List<AppointmentsVO> queryAppointmentsVO(List<Appointments> list);

    List<Appointments> queryAppointments(QueryWrapper<Appointments> queryWrapper);
}
