package com.cj.jiaqingjiayi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.domain.CommoditiesGroup;
import com.cj.jiaqingjiayi.model.vo.GroupVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【commodities_group(商品分组表)】的数据库操作Service
* @createDate 2024-12-17 08:52:35
*/
public interface CommoditiesGroupService extends IService<CommoditiesGroup> {

    /**
     * 添加分组
     */
    Long addGroup(CommoditiesGroup commoditiesGroup);

    /**
     *删除分组
     */
    Boolean deleteGroup(String groupName);

    /**
     * 获取分组视图
     */
    GroupVO getGroupVO(CommoditiesGroup group);

    /**
     *获取分组视图列表
     */
    List<GroupVO> getGroupVO(List<CommoditiesGroup> commoditiesGroupList);

    /**
     *校验
     */
    void validGroup(CommoditiesGroup commoditiesGroup, Boolean flag);



}
